resources:
  requests:
    memory: 128Mi
initContainers:
  - name: velero-plugin-for-aws
    image: velero/velero-plugin-for-aws:v1.11.0
    imagePullPolicy: IfNotPresent
    volumeMounts:
      - mountPath: /target
        name: plugins
# snapshotsEnabled: false # create snapshot crd?
# deployNodeAgent: true # install node agent as daemonset for file system backups?
configuration:
  # defaultVolumesToFsBackup: true # backup pod volumes via fsb without explicit annotation?
  backupStorageLocation:
    - name: default
      provider: aws
      bucket: edfbuilder-backups
      credential:
        name: secret-key # this key is created within the minio-backup/secret-sync and injected into the velero namespace
        key: aws
      config:
        region: minio
        s3Url: http://minio.minio-backup.svc.cluster.local:9000 # internal resolution, external access for velero cli via fwd
        s3ForcePathStyle: "true"
